;;; goo-autoloads.el --- automatically extracted autoloads
;;
;;; Code:

(add-to-list 'load-path (directory-file-name
                         (or (file-name-directory #$) (car load-path))))


;;;### (autoloads nil "goo" "goo.el" (24110 19007))
;;; Generated autoloads from goo.el

(autoload 'goo-mode "goo" "\
Major mode for editing Goo code.
Editing commands are similar to those of lisp-mode.

In addition, if an inferior Goo process is running, some additional
commands will be defined, for evaluating expressions and controlling
the interpreter, and the state of the process will be displayed in the
modeline of all Goo buffers.  The names of commands that interact
with the Goo process start with \"xgoo-\".  For more information
see the documentation for xgoo-interaction-mode.

Commands:
Delete converts tabs to spaces as it moves back.
Blank lines separate paragraphs.  Semicolons start comments.
\\{goo-mode-map}
Entry to this mode calls the value of goo-mode-hook
if that value is non-nil.

\(fn)" t nil)

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "goo" '("goo-" "next-sexp-as-string" "would-be-symbol")))

;;;***

;;;### (autoloads nil "goo-pkg" "goo-pkg.el" (24110 19007))
;;; Generated autoloads from goo-pkg.el

(setq auto-mode-alist (cons '("\\.goo\\'" . goo-mode) auto-mode-alist))

;;;***

;;;### (autoloads nil "goo-shell" "goo-shell.el" (24110 19007))
;;; Generated autoloads from goo-shell.el

(autoload 'run-goo "goo-shell" "\
Run an inferior Goo process, input and output via buffer *goo*.
If there is a process already running in `*goo*', switch to that buffer.
With argument, allows you to edit the command line (default is value
of `goo-program-name').  Runs the hooks `inferior-goo-mode-hook'
\(after the `comint-mode-hook' is run).
\(Type \\[describe-mode] in the process buffer for a list of commands.)

\(fn CMD)" t nil)
 (add-hook 'same-window-buffer-names "*goo*")

(if (fboundp 'register-definition-prefixes) (register-definition-prefixes "goo-shell" '("goo-" "switch-to-goo" "inferior-goo-")))

;;;***

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; coding: utf-8
;; End:
;;; goo-autoloads.el ends here
